Bug 1344294 (warsow-data) - Review Request: warsow-data - Game data for Warsow
Summary: Review Request: warsow-data - Game data for Warsow
Keywords:
Status: CLOSED ERRATA
Alias: warsow-data
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-GAMESIG warsow
TreeView+ depends on / blocked
 
Reported: 2016-06-09 10:56 UTC by Pete Walter
Modified: 2017-02-03 21:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-03 19:18:21 UTC
projects.rg: fedora-review+


Attachments (Terms of Use)

Description Pete Walter 2016-06-09 10:56:01 UTC
Spec URL: https://pwalter.fedorapeople.org/warsow-data.spec
SRPM URL: https://pwalter.fedorapeople.org/warsow-data-2.1-1.fc24.src.rpm
Description:
Warsow is a fast paced first person shooter consisting of cel-shaded
cartoon-like graphics with dark, flashy and dirty textures. Warsow is based on
the E-novel "Chasseur de bots" ("Bots hunter" in English) by Fabrice Demurger.
Warsow's codebase is built upon Qfusion, an advanced modification of the Quake
II engine.

Fedora Account System Username: pwalter

Comment 1 Pete Walter 2016-06-09 10:57:08 UTC
Note that this goes together with the warsaw package from https://bugzilla.redhat.com/show_bug.cgi?id=1344261

Comment 2 Pete Walter 2016-06-09 11:27:50 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14434196

Comment 3 Raphael Groner 2016-06-12 20:59:53 UTC
> BuildRequires:  /usr/bin/dos2unix

You can simplify:
BuildRequires:  dos2unix

Comment 4 Pete Walter 2016-06-14 14:50:21 UTC
(In reply to Raphael Groner from comment #3)
> > BuildRequires:  /usr/bin/dos2unix
> 
> You can simplify:
> BuildRequires:  dos2unix

I disagree here. Spelling out what executable we need makes packaging much easier to understand.

Comment 5 Kalev Lember 2016-06-14 16:27:45 UTC
Woops, accidentally edited this.

Comment 6 Raphael Groner 2016-07-12 20:16:06 UTC
Review swap with bug #1343738 or bug #1346457?

Comment 7 Raphael Groner 2016-08-07 08:28:50 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in /home/builder/fedora-review/1344294-warsow-
     data/licensecheck.txt
=> License: CC-BY-SA and CC-BY-ND

[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.18 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.18
INFO: Mock Version: 1.2.18
Finish: chroot init
INFO: installing package(s): /home/builder/fedora-review/1344294-warsow-data/results/warsow-data-2.1-1.fc25.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/builder/fedora-review/1344294-warsow-data/results/warsow-data-2.1-1.fc25.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: warsow-data-2.1-1.fc25.noarch.rpm
          warsow-data-2.1-1.fc25.src.rpm
warsow-data.noarch: W: spelling-error %description -l en_US cel -> cl, cell, eel
warsow-data.noarch: W: spelling-error %description -l en_US de -> DE, ed, d
warsow-data.noarch: W: spelling-error %description -l en_US codebase -> co debase, co-debase, code base
warsow-data.noarch: W: no-documentation
warsow-data.src: W: spelling-error %description -l en_US cel -> cl, cell, eel
warsow-data.src: W: spelling-error %description -l en_US de -> DE, ed, d
warsow-data.src: W: spelling-error %description -l en_US codebase -> co debase, co-debase, code base
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Requires
--------
warsow-data (rpmlib, GLIBC filtered):
    warsow



Provides
--------
warsow-data:
    warsow-data



Source checksums
----------------
http://update.warsow.gg/mirror/warsow_21_unified.tar.gz :
  CHECKSUM(SHA256) this package     : 7f509ef5da77d150ee7f30a560e366795a23b67ad2037ad9fd547cf5cb432a9b
  CHECKSUM(SHA256) upstream package : 7f509ef5da77d150ee7f30a560e366795a23b67ad2037ad9fd547cf5cb432a9b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1344294
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Raphael Groner 2016-08-07 08:31:54 UTC
Issues:

[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

We can ignore the installation error from dnf, as well as the rpmlint warnings.

Comment 9 Raphael Groner 2016-09-01 19:33:15 UTC
Friendly reminder. Are you still interested in this package?

Comment 10 Pete Walter 2016-09-09 10:58:48 UTC
Yes. I can add a comment saying:

# For a breakdown of the licensing, see license.txt

Comment 11 Raphael Groner 2016-09-10 18:33:39 UTC
APPROVED

Comment 12 Pete Walter 2016-09-12 05:31:16 UTC
Thanks!

Comment 13 Gwyn Ciesla 2016-09-12 14:45:00 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/warsow-data

Comment 14 Raphael Groner 2016-10-18 19:13:17 UTC
Can you do a real build of warsaw-data in rawhide? The review for a warsaw package (rhbz#1344261) would propably fail without.

Comment 15 Raphael Groner 2016-12-09 21:06:16 UTC
Ping? Are you still interested in this package?

Comment 16 Pete Walter 2017-01-11 09:02:52 UTC
warsaw doesn't have a build dep on this package. It's only a runtime dependency.

I'll build this when warsaw is approved as well.

Comment 17 Raphael Groner 2017-01-11 18:12:12 UTC
As said in comment #14, fedora-review needs to validate all package dependencies, incl. runtime. It tries to install inside a mock environment. You should build warsow-data and provide it at least as a buildroot override for the review of warsow (rhbz#1344261), no bodhi needed yet. Later, you can push both warsow and warsow-data in one multi-packages update to bodhi.

Comment 18 Raphael Groner 2017-01-31 23:50:38 UTC
No response so far. :(

This package may need another approval, I can not hold mine any longer. The next reviewer may trust to my checks.

Comment 19 Raphael Groner 2017-02-01 18:52:11 UTC
Okay, reverting my approval was unfair. Taking back, sorry.

Comment 20 Fedora Update System 2017-02-01 19:31:53 UTC
warsow-data-2.1-2.el7 warsow-2.1-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-56ee1f45bb

Comment 21 Fedora Update System 2017-02-01 19:32:05 UTC
warsow-data-2.1-2.fc24 warsow-2.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f2970d1d7

Comment 22 Fedora Update System 2017-02-01 19:32:15 UTC
warsow-data-2.1-2.fc25 warsow-2.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff35e19cfe

Comment 23 Fedora Update System 2017-02-02 21:49:28 UTC
warsow-2.1-3.fc24, warsow-data-2.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f2970d1d7

Comment 24 Fedora Update System 2017-02-02 22:49:49 UTC
warsow-2.1-3.fc25, warsow-data-2.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff35e19cfe

Comment 25 Fedora Update System 2017-02-02 23:18:47 UTC
warsow-2.1-3.el7, warsow-data-2.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-56ee1f45bb

Comment 26 Fedora Update System 2017-02-03 19:18:21 UTC
warsow-2.1-3.el7, warsow-data-2.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2017-02-03 20:49:42 UTC
warsow-2.1-3.fc25, warsow-data-2.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2017-02-03 21:49:07 UTC
warsow-2.1-3.fc24, warsow-data-2.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.